<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@CU 				CU-SA-AC-091 Convocar Comite y Registrar Acta
@MB					ConvocarComiteRegistrarActaMB (convocarComiteRegistrarActa)
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Convocar comité y registrar acta::.
    </ui:define>

    <ui:define name="content">

        <h:inputText value="" style="position: absolute; top: -100px;" />

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />
        <p:messages id="msgsRAC" showDetail="false" globalOnly="false" />

        <p:spacer height="5" width="0" />

        <h:form id="registrarActaComiteForm">

            <p:fieldset>

                <legend>
                    <h:outputText value="Convocar comité y registrar acta"
                                  styleClass="legendTitle" />
                </legend>

                <h:panelGrid columns="4" cellspacing="7" width="100%">

                    <h:outputLabel value="Sec. Radicado:" styleClass="outputLabelStyle" />
                    <p:commandLink styleClass="commandLinkStyle"
                                   action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                                   update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                                   oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                                   value="#{convocarComiteRegistrarActa.avaluo.secRadicado}"
                                   immediate="true">
                        <f:setPropertyActionListener
                            value="#{convocarComiteRegistrarActa.avaluo.secRadicado}"
                            target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
                    </p:commandLink>

                    <h:panelGroup>
                        <h:outputLabel value="Fecha y hora del comité:"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="2" cellspacing="0">
                        <p:calendar id="fechaComite" label="Fecha comité"
                                    value="#{convocarComiteRegistrarActa.comite.fecha}" stepHour="1"
                                    stepMinute="5" navigator="true"
                                    pattern="#{general.formatoFechaHora12}" showOn="both"
                                    title="#{general.formatoFechaHora12}" tabindex="0"
                                    effect="slideDown" mindate="#{general.fechaActual}" size="16"
                                    required="true" />
                        <p:message for="fechaComite" display="icon" />
                    </h:panelGrid>

                    <h:outputLabel value="Acta No.:" styleClass="outputLabelStyle" />
                    <h:outputText
                        value="#{convocarComiteRegistrarActa.comite.numeroActa}"
                        styleClass="outputTextStyle" />

                    <h:panelGroup>
                        <h:outputLabel value="Lugar comité:" styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="2" cellspacing="0">
                        <h:inputText id="lugarComite" label="Lugar comité"
                                     value="#{convocarComiteRegistrarActa.comite.lugar}"
                                     required="true" />
                        <p:message for="lugarComite" display="icon" />
                    </h:panelGrid>

                </h:panelGrid>


                <h:panelGrid columns="1" cellspacing="7" width="100%">
                    <legend>
                        <h:outputText value="Avaluadores ponentes"
                                      styleClass="legendTitle" />
                    </legend>
                    <p:dataList value="#{convocarComiteRegistrarActa.ponentes}"
                                var="ponente" type="ordered">
                        <h:outputText
                            value="- #{ponente.profesionalAvaluos.nombreCompleto}"
                            styleClass="outputTextStyle" />
                    </p:dataList>

                    <legend>
                        <h:outputText value="Información predial" styleClass="legendTitle" />
                    </legend>
                    <p:dataTable
                        value="#{convocarComiteRegistrarActa.avaluo.avaluoPredios}"
                        var="predio" paginator="true" rows="5"
                        paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                        {NextPageLink} {LastPageLink}"
                        rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                        emptyMessage="No se encontraron predios asociados al avalúo">
                        <p:column headerText="Departamento">
                            <h:outputText value="#{predio.departamento.nombre}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Municipio">
                            <h:outputText value="#{predio.municipio.nombre}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Número predial">
                            <h:outputText value="#{predio.numeroPredial}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Dirección">
                            <h:outputText value="#{predio.direccion}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                    </p:dataTable>

                </h:panelGrid>

                <h:panelGrid columns="1" cellspacing="7" width="100%"
                             id="participantesPG">
                    <legend>
                        <h:outputText value="Participantes del comité"
                                      styleClass="legendTitle" />
                    </legend>
                    <p:dataTable value="#{convocarComiteRegistrarActa.participantes}"
                                 var="participante" paginator="true" rows="5"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                                 {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                 emptyMessage="No se encontraron profesionales participantes en el comité">

                        <p:column headerText="Opciones"
                                  rendered="#{!convocarComiteRegistrarActa.banderaComiteIniciado}">
                            <p:commandButton title="Eliminar" icon="ui-icon-trash"
                                             label="Eliminar participante"
                                             action="#{convocarComiteRegistrarActa.eliminarParticipante}"
                                             update=":convocarComiteAgregarProfesionalForm,
                                             :msgsRAC,
                                             :registrarActaComiteForm"
                                             rendered="#{!convocarComiteRegistrarActa.banderaComiteIniciado}">
                                <f:setPropertyActionListener
                                    target="#{convocarComiteRegistrarActa.participanteSeleccionado}"
                                    value="#{participante}" />
                            </p:commandButton>
                        </p:column>
                        <p:column headerText="Profesional">
                            <h:outputText value="#{participante.nombre}"
                                          styleClass="outputTextStyle" />
                        </p:column>
                        <p:column headerText="Actividad">
                            <h:outputText value="#{participante.actividad}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                    </p:dataTable>
                    <h:panelGrid columns="3" cellspacing="7">

                        <p:commandButton value="Adicionar participante"
                                         icon="ui-icon-person"
                                         action="#{convocarComiteRegistrarActa.cargarVentanaAdicionarParticipante}"
                                         update=":convocarComiteAgregarProfesionalForm,
                                         :msgsRAC,
                                         :registrarActaComiteForm"
                                         onstart="statusDialog2.show();"
                                         oncomplete="handleCompleteSIC(xhr, status, args, agregarProfesionalWV, true);
                                         statusDialog2.hide();"
                                         rendered="#{!convocarComiteRegistrarActa.banderaComiteIniciado}" />

                        <p:commandButton
                            value="Comunicar a participantes e iniciar comité"
                            icon="ui-icon-mail-closed"
                            action="#{convocarComiteRegistrarActa.comunicarParticipantesYGuardarComite}"
                            update=":msgsRAC,
                            :registrarActaComiteForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide(); "
                            disabled="#{empty convocarComiteRegistrarActa.participantes}"
                            rendered="#{!convocarComiteRegistrarActa.banderaComiteIniciado}" />

                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid columns="1" cellspacing="7" width="100%"
                             rendered="#{convocarComiteRegistrarActa.banderaComiteIniciado}">
                    <h:panelGrid columns="3" cellspacing="0">
                        <h:outputText value="Conclusiones:" styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        <p:message for="conclusiones" display="icon" />
                    </h:panelGrid>
                    <h:inputTextarea id="conclusiones" label="Conclusiones" rows="4"
                                     style="width: 100%;"
                                     value="#{convocarComiteRegistrarActa.comite.conclusiones}"
                                     required="true" />
                </h:panelGrid>

            </p:fieldset>


            <h:panelGrid columns="6" cellspacing="7"
                         rendered="#{convocarComiteRegistrarActa.banderaComiteIniciado}">

                <p:commandButton value="Guardar y comunicar a participantes"
                                 icon="ui-icon-mail-closed"
                                 action="#{convocarComiteRegistrarActa.comunicarParticipantesYGuardarComite}"
                                 update=":msgsRAC,
                                 :registrarActaComiteForm"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide(); "
                                 rendered="#{convocarComiteRegistrarActa.banderaComiteIniciado}" />

                <p:commandButton value="Generar acta" icon="ui-icon-document"
                                 action="#{convocarComiteRegistrarActa.generarActa}"
                                 update=":msgsRAC, 
                                 :registrarActaComiteForm"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); 
                                 handleCompleteSIC(xhr, status, args, memorandoWV, true);" />

                <p:commandButton value="Ver acta" icon="ui-icon-document"
                                 action="#{convocarComiteRegistrarActa.cargarActa}"
                                 update=":msgsRAC" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); 
                                 handleCompleteSIC(xhr, status, args, memorandoWV, true);"
                                 rendered="#{not empty convocarComiteRegistrarActa.comite.actaDocumentoId}" />

                <p:commandButton value="Cargar acta firmada"
                                 icon="ui-icon-folder-open"
                                 action="#{convocarComiteRegistrarActa.cargarVentanaCargarActaFirmada}"
                                 onstart="statusDialog2.show();"
                                 oncomplete="handleCompleteSIC(xhr, status, args, cargarActaWV, true);
                                 statusDialog2.hide(); "
                                 rendered="#{not empty convocarComiteRegistrarActa.comite.actaDocumentoId}" />

                <p:commandButton value="Ver acta firmada" icon="ui-icon-document"
                                 action="#{convocarComiteRegistrarActa.cargarActaFirmada}"
                                 update=":msgsRAC" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); 
                                 handleCompleteSIC(xhr, status, args, memorandoWV, true);"
                                 rendered="#{not empty convocarComiteRegistrarActa.comite.actaFirmadaDocumentoId}" />

                <p:commandButton value="Finalizar y avanzar"
                                 icon="ui-icon-circle-triangle-e"
                                 action="#{convocarComiteRegistrarActa.finalizarYAvanzar}"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); alert('Pendiente integración con process');" />

            </h:panelGrid>

            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{convocarComiteRegistrarActa.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <!-- ................................ DIALOGOS CASO DE USO ............................... -->
        <p:dialog widgetVar="agregarProfesionalWV"
                  header="Agregar profesional" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="450">
            <ui:include
                src="/avaluos/controlCalidad/convocarComiteAgregarProfesional.xhtml" />
            <p:ajax event="close"
                    update=":registrarActaComiteForm:participantesPG" />
        </p:dialog>

        <p:dialog widgetVar="cargarActaWV" header="Cargar acta firmada"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="500">
            <ui:include
                src="/avaluos/controlCalidad/convocarComiteCargarActa.xhtml" />
        </p:dialog>


        <!-- ............................. CASOS DE USO TRANSVERSALES ............................ -->
        <!-- DIALOG PARA INFORMACION DE DEPARTAMENTOS Y MUNICIPIOS DE LOS PREDIOS DE UN AVALUO -->
        <p:dialog widgetVar="infoDeptosMunisWV"
                  header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="600">
            <ui:include
                src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE AVALUADORES ASIGNADOS -->
        <p:dialog widgetVar="infoAvaluadoresAsignadosWV"
                  header="Profesionales de avalúos" appendToBody="true" closable="true"
                  minimizable="false" resizable="false" dynamic="true" modal="true"
                  width="750">
            <ui:include
                src="/avaluos/asignacion/consultarAvaluadoresAsignados.xhtml" />
        </p:dialog>

        <!-- DIALOG PARA INFORMACION PREDIAL -->
        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  resizable="false" dynamic="true" modal="true" width="850">
            <ui:include
                src="/avaluos/transversal/consultarInformacionPredial.xhtml" />
        </p:dialog>

        <!-- CC PARA INFORMACION DETALLADA DE PREDIOS -->
        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosTramites="false" thisIdPlusColon=":dpCC"
                                 mostrarFichaPredial="false" />

        <!-- VISOR GEOGRAFICO -->
        <ui:include src="/util/visorGeografico.xhtml" />

        <!-- CC PARA INFORMACION DE LA SOLICITUD -->
        <avaluos:informacionSolicitudCC id="isCC"
                                        thisWVName="infoSolicitudCCWV" thisId="isCC" mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV" detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV" infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <!-- DIALOG PARA INFORMACION DEL SOLICITANTE -->
        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>

        <!-- DIALOG PARA INFORMACION DE DOCUMENTOS DE LA SOLICITUD -->
        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <!-- CC PARA MOSTRAR DOCUMENTO -->
        <misc:visualizadorMemorandosCC id="viewMemo" thisWVName="memorandoWV"
                                       radicarButtonVisible="false"
                                       urlDocumento="#{convocarComiteRegistrarActa.actaReporte.urlWebReporte}"
                                       fileContent="#{convocarComiteRegistrarActa.actaReporte.streamedContentReporte}"
                                       documentoGenerado="#{convocarComiteRegistrarActa.actaReporte ne null}" />

    </ui:define>
</ui:composition>